Bug 1085625

Summary: Need a way to clearly identify asynchronous release versions of RHEL OSP similar to /etc/issue from redhat-release-server
Product: Red Hat OpenStack Reporter: Vinny Valdez <vvaldez>
Component: distributionAssignee: Perry Myers <pmyers>
Status: CLOSED NOTABUG QA Contact: Ami Jeain <ajeain>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 4.0CC: apevec, cpaquin, markmc, sclewis, sreichar, yeylon
Target Milestone: ---   
Target Release: 5.0 (RHEL 7)   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-08-27 17:17:25 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Vinny Valdez 2014-04-09 03:14:07 UTC
Description of problem:
Currently it is not easily possible to identify which async release a specific system is installed with. Optimally an entry in /etc/issue or something similar such as /etc/issue.rhel-osp would suffice from a package similar to redhat-release-server such as rhel-osp-release.

Version-Release number of selected component (if applicable):
All versions of RHEL OSP

How reproducible:
Every time.

Steps to Reproduce:
1. Connect to a system installed with RHEL OSP
2. Attempt to identify which specific async release is installed
3. Discover it is not easy unless specific package versions are known and correlated to async releases

Actual results:
There is no easy method to determine the async release of RHEL OSP.

Expected results:
It should be quick and easy to identify which async release of RHEL OSP is installed on a system.

Additional info:
I have manually kept track of the async releases and use this as a rough guideline for RHEL OSP 4 to determine the async release:
RHEL OSP4 GA: openstack-foreman-installer-1.0.0-1.el6ost.noarch.rpm
RHEL OSP4 Async1: openstack-foreman-installer-1.0.3-1.el6ost.noarch.rpm
RHEL OSP4 Async2: openstack-foreman-installer-1.0.4-1.el6ost.noarch.rpm   
RHEL OSP4 Async3: openstack-foreman-installer-1.0.5-1.el6ost.noarch.rpm

Comment 5 Chris Paquin 2016-03-24 19:34:33 UTC
I have created a simple matrix for cross-referencing the installed version of the openstack-tripleo-heat-templates rpm with OSPd version numbers.


Minimum RPM Version	                                      director Version
openstack-tripleo-heat-templates-0.8.6-121.el7ost.noarch.rpm  7.3
openstack-tripleo-heat-templates-0.8.6-94.el7ost.noarch.rpm   7.2
openstack-tripleo-heat-templates-0.8.6-71.el7ost.noarch.rpm   7.1
openstack-tripleo-heat-templates-0.8.6-45.el7ost.noarch.rpm   7.0

This should help those trying to determine their installed OSPd version while we wait for an upstream resolution.